com.r3corda.node.services.messaging / ArtemisMessagingComponent / ArtemisAddress

# ArtemisAddress

`protected interface ArtemisAddress`

### Properties

hostAndPort | `abstract val hostAndPort: <ERROR CLASS>`
queueName | `abstract val queueName: <ERROR CLASS>`

### Inheritors

NetworkMapAddress | `data class NetworkMapAddress : SingleMessageRecipient, ArtemisAddress`
NodeAddress | `data class NodeAddress : SingleMessageRecipient, ArtemisAddress` This is the class used to implement SingleMessageRecipient, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.